/usr/bin/git-debdry-build is in debdry 0.2.2-1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 | #!/bin/sh
set -e
current_branch=$(git rev-parse --abbrev-ref HEAD)
build_branch="$current_branch-$(date +%Y-%m-%d_%H-%M-%S)"
git checkout -b "$build_branch"
debdry .
git add debian
git commit -m "Debian tree generated by $(debdry --version)"
cleanup() {
debclean
git reset --hard
git checkout "$current_branch"
}
aborted() {
cleanup
echo "I: build aborted on your request. The contents of the tree used"
echo "I: for the build is available in the $build_branch branch."
exit 1
}
trap aborted INT
rc=0
gbp buildpackage --git-ignore-new --git-debian-branch="$build_branch" "$@" || rc=$?
cleanup
if [ "$rc" -eq 0 ]; then
git branch -D "$build_branch"
else
echo "E: build failed. The contents of the tree used for the build"
echo "E: is available in the $build_branch branch."
fi
exit "$rc"
|